# fann_get_quickprop_decay

(PECL fann >= 1.0.0)

fann_get_quickprop_decay — Returns the decay which is a factor that weights should decrease in each iteration during quickprop training

### Description

fann_get_quickprop_decay ( resource `$ann` ) : float

The decay is a small negative valued number which is a factor that the weights should decrease in each iteration during quickprop training. This is used to make sure that the weights do not become too high during training.

The default decay is -0.0001.

### Parameters

`ann`

  Neural network resource.

### Return Values

The decay, or `FALSE` on error.

### See Also

- fann_set_quickprop_decay() - Sets the quickprop decay factor